import Color from "../system/Color";
import { StiPenStyle, StiVerticalAlignment } from "../system/enums";
import { StiDescription } from "../system/interfaces";
import StiJson from "../system/StiJson";
import { StiFormElement } from "./base/StiFormElement";
import { StiTextItem } from "./text/StiTextItem";
export default class StiLineElement extends StiFormElement implements StiDescription {
    type: string;
    description: StiTextItem;
    lineColor: Color;
    verticalAlignment: StiVerticalAlignment;
    style: StiPenStyle;
    lineThickness: number;
    constructor();
    canUpdateProperty(propName: string): boolean;
    saveToJsonObject(options: any): StiJson;
    toHtmlBorder(): string;
    getHtmlStyle(): string;
    loadFromJsonObject(json: StiJson): void;
}
